<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>assembleConvectiveTermImplicitWithCoeff &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>assembleConvectiveTermImplicitWithCoeff
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.5% of total for procedures.">89 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/convectiveFluxes.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/convectivefluxes.f03.html'>convectiveFluxes.f03</a></li>
    
     <li><a href='../module/convectivefluxes.html'>convectiveFluxes</a></li>
    
  
     <li class="active">assembleConvectiveTermImplicitWithCoeff</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine assembleConvectiveTermImplicitWithCoeff(this, field, coeff, convOpt)
    
    
   
</h2>
    
  


    
    <p>assembleConvectiveTermImplicitWithCoeff assembles the fluxes without deferred correction.
It is used when the convective term has to be discretized fully implicitly.
For each face, we can define three quantities:
\begin{eqnarray}
 switch = sign(mf) \
 FluxC_1_f =  mf<em>(1-psi)</em>switch + mf<em>psi</em>(1-switch)  \
 FluxC_2_f = mf(iFace,1)<em>psi</em>switch + mf(iFace,1)<em>(1-psi)</em>(1-switch) \
 FluxV_f = 0.0
\begin{eqnarray}
where $L$ is the weighting factor equal to 0.5 for equispaced meshes.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E44"></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E14"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-coeff%7E2"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-convopt%7E8"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph Pages: 1 -->
<svg id="procassembleconvectivetermimplicitwithcoeffCallsGraph" width="630pt" height="200pt"
 viewBox="0.00 0.00 630.00 200.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 196)">
<title>proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 626,-196 626,4 -4,4"/>
<!-- proc~assembleconvectivetermimplicitwithcoeff -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node1" class="node">
<title>proc~assembleconvectivetermimplicitwithcoeff</title>
<polygon fill="none" stroke="#000000" points="214,-150 0,-150 0,-126 214,-126 214,-150"/>
<text text-anchor="middle" x="107" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">assembleConvectiveTermImplicitWithCoeff</text>
</g>
<!-- tvd_hr_schemes -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node2" class="node">
<title>tvd_hr_schemes</title>
<polygon fill="#777777" stroke="#777777" points="341,-192 250,-192 250,-168 341,-168 341,-192"/>
<text text-anchor="middle" x="295.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvd_hr_schemes</text>
</g>
<!-- proc~assembleconvectivetermimplicitwithcoeff&#45;&gt;tvd_hr_schemes -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge1" class="edge">
<title>proc~assembleconvectivetermimplicitwithcoeff&#45;&gt;tvd_hr_schemes</title>
<path fill="none" stroke="#000000" d="M161.0165,-150.0355C185.6859,-155.5321 214.8825,-162.0375 239.7574,-167.5799"/>
<polygon fill="#000000" stroke="#000000" points="239.248,-171.0521 249.7698,-169.8108 240.7704,-164.2197 239.248,-171.0521"/>
</g>
<!-- proc~mag -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node3" class="node">
<title>proc~mag</title>
<g id="a_proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node3"><a xlink:href=".././proc/mag.html" xlink:title="mag">
<polygon fill="#d9534f" stroke="#d9534f" points="322.5,-150 268.5,-150 268.5,-126 322.5,-126 322.5,-150"/>
<text text-anchor="middle" x="295.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mag</text>
</a>
</g>
</g>
<!-- proc~assembleconvectivetermimplicitwithcoeff&#45;&gt;proc~mag -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge2" class="edge">
<title>proc~assembleconvectivetermimplicitwithcoeff&#45;&gt;proc~mag</title>
<path fill="none" stroke="#000000" d="M214.1913,-138C229.8623,-138 245.0466,-138 257.967,-138"/>
<polygon fill="#000000" stroke="#000000" points="258.2486,-141.5001 268.2486,-138 258.2486,-134.5001 258.2486,-141.5001"/>
</g>
<!-- proc~interpolate -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node4" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node4"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="327,-108 264,-108 264,-84 327,-84 327,-108"/>
<text text-anchor="middle" x="295.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~assembleconvectivetermimplicitwithcoeff&#45;&gt;proc~interpolate -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge3" class="edge">
<title>proc~assembleconvectivetermimplicitwithcoeff&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M161.0165,-125.9645C190.5357,-119.3873 226.537,-111.3658 253.8595,-105.278"/>
<polygon fill="#000000" stroke="#000000" points="254.8752,-108.6376 263.8746,-103.0465 253.3528,-101.8051 254.8752,-108.6376"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node5" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="510,-192 395,-192 395,-168 510,-168 510,-192"/>
<text text-anchor="middle" x="452.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge4" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M326.3952,-108.0527C331.4936,-110.651 336.5583,-113.6423 341,-117 360.6123,-131.8257 356.2582,-145.8007 377,-159 379.7548,-160.753 382.6566,-162.3619 385.6537,-163.8384"/>
<polygon fill="#000000" stroke="#000000" points="384.3151,-167.073 394.879,-167.8817 387.1251,-160.6618 384.3151,-167.073"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node6" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="522,-150 383,-150 383,-126 522,-126 522,-150"/>
<text text-anchor="middle" x="452.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M327.2713,-104.4993C347.4204,-109.8895 374.0273,-117.0073 397.5326,-123.2953"/>
<polygon fill="#000000" stroke="#000000" points="396.8237,-126.7287 407.3885,-125.932 398.6327,-119.9665 396.8237,-126.7287"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node7" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="495,-108 410,-108 410,-84 495,-84 495,-108"/>
<text text-anchor="middle" x="452.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M327.2713,-96C348.0476,-96 375.6901,-96 399.7183,-96"/>
<polygon fill="#000000" stroke="#000000" points="399.7644,-99.5001 409.7643,-96 399.7643,-92.5001 399.7644,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node8" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="525,-66 380,-66 380,-42 525,-42 525,-66"/>
<text text-anchor="middle" x="452.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge7" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M327.2713,-87.5007C347.4204,-82.1105 374.0273,-74.9927 397.5326,-68.7047"/>
<polygon fill="#000000" stroke="#000000" points="398.6327,-72.0335 407.3885,-66.068 396.8237,-65.2713 398.6327,-72.0335"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node9" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node9"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="528,-24 377,-24 377,0 528,0 528,-24"/>
<text text-anchor="middle" x="452.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge8" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M307.9789,-83.81C323.1173,-69.6616 349.981,-46.5442 377,-33 381.008,-30.9909 385.2351,-29.151 389.5586,-27.4701"/>
<polygon fill="#000000" stroke="#000000" points="390.8965,-30.7087 399.1296,-24.0404 388.5351,-24.119 390.8965,-30.7087"/>
</g>
<!-- flubiostop -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_node10" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="622,-24 564,-24 564,0 622,0 622,-24"/>
<text text-anchor="middle" x="593" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~assembleconvectivetermimplicitwithcoeff~~CallsGraph_edge9" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M528.0965,-12C536.9482,-12 545.686,-12 553.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="553.8963,-15.5001 563.8963,-12 553.8963,-8.5001 553.8963,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>